<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0"
                xmlns:tns="urn:be:e-contract:dss:config:1.0">
    <xsl:output method="html"/>
    <xsl:template match="/tns:DigitalSignatureServiceConfiguration">
        <html>
            <head>
                <title>Digital Signature Service Configuration</title>
            </head>
            <body>
                <h1>Digital Signature Service Configuration</h1>
                <xsl:for-each select="tns:Accounts">
                    <h2>Accounts</h2>
                    <table>
                        <tr>
                            <th>Username</th>
                            <th>Password</th>
                        </tr>
                        <xsl:for-each select="tns:Account">
                            <tr>
                                <td>
                                    <xsl:value-of select="tns:username"/>
                                </td>
                                <td>
                                    <xsl:value-of select="tns:password"/>
                                </td>
                            </tr>
                        </xsl:for-each>
                    </table>
                </xsl:for-each>
            </body>
        </html>
    </xsl:template>

</xsl:stylesheet>
